Signing Task - HTTP API
NOTE
Find more information on what access rights are needed for which operation at S&E Access Control Lists.
Create a signing task
NOTE
Based on the chosen signature algorithm it may be necessary that a certain format is expected as input. This is indicated by the algorithm name. For example, the SHA256_RSA_3072_PSS and SHA256_RSA_4096_PSS algorithms require a SHA256 digest as input, which is passed Base64 encoded.
From the Signing Task API open the
POST /api/v1/signingTaskendpoint.Click Try it out.
Fill in the tenant header in the X-SE-TENANT field.
Fill in the Request body following the form:
json{ "deviceConfigId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "inputBase64": "string", "name": "string" }Click Execute
A successful response with 201 code will have status CREATED and will provide the
signingTaskId.
Approve a signing task
Open the
POST /api/v1/signingTask/{signingTaskId}/approvalendpoint.Click Try it out.
Fill in the
signingTaskId.Fill in the tenant header in the X-SE-TENANT field.
Fill in the Request body following the form:
json{ "decision": "APPROVED", "reason": "string" }Click Execute.
A successful response with 202 code will confirm your action.
Check the status of a signing task
Open the endpoint to
GET /api/v1/signingTask/{signingTaskId}.Click Try it out.
Fill in the
signingTaskId, taken from the response body of your creation call.NOTE
Another option would be to check the status of all signing tasks via
GET /api/v1/signingTask.Fill in the tenant header in the X-SE-TENANT field.
Click Execute.
When the task is ready the response body will have status DONE and will include the outcome of the signing task e.g.
json"decision": "APPROVED"
